require('request');
const requestPromise = require('request-promise');

const buffer = await requestPromise('http://www.brisnet.com/samples/aqu0207n.zip', {encoding: null});

const AdmZip = require('adm-zip');
const zip = new AdmZip(buffer);
zip.getEntries().map(entry => {
  const data = entry.getData();
  
  return {
    name: entry.name,
    size: data.length,
    data,
  };
});;
